Add a material (text or link) or run a library action
curl --request POST \
--url https://api.semicola.com/api/v2/storefront/materials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"materialId": "<string>",
"title": "<string>",
"text": "<string>",
"assetRef": "<string>",
"url": "<string>",
"sellingPointId": "<string>",
"claim": "<string>",
"evidence": "<string>",
"requestId": "<string>",
"requestDetail": "<string>",
"confirm": true,
"confirmationUid": "<string>"
}
'import requests
url = "https://api.semicola.com/api/v2/storefront/materials"
payload = {
"materialId": "<string>",
"title": "<string>",
"text": "<string>",
"assetRef": "<string>",
"url": "<string>",
"sellingPointId": "<string>",
"claim": "<string>",
"evidence": "<string>",
"requestId": "<string>",
"requestDetail": "<string>",
"confirm": True,
"confirmationUid": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
materialId: '<string>',
title: '<string>',
text: '<string>',
assetRef: '<string>',
url: '<string>',
sellingPointId: '<string>',
claim: '<string>',
evidence: '<string>',
requestId: '<string>',
requestDetail: '<string>',
confirm: true,
confirmationUid: '<string>'
})
};
fetch('https://api.semicola.com/api/v2/storefront/materials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"material": {
"materialId": "<string>",
"kind": "media_kit",
"title": "<string>",
"status": "pending",
"reusable": true,
"sellingPointCount": 4503599627370495,
"createdAt": "2023-11-07T05:31:56Z"
},
"sellingPoints": [
{
"id": "<string>",
"claim": "<string>",
"evidence": "<string>",
"status": "backed",
"materialId": "<string>"
}
],
"evaluation": {
"rfpId": "<string>",
"turnId": "<string>"
},
"requests": [
{
"requestId": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "open",
"openedBy": "agent",
"createdAt": "2023-11-07T05:31:56Z",
"closedAt": "2023-11-07T05:31:56Z"
}
]
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Library
Add a material (text or link) or run a library action
POST
/
api
/
v2
/
storefront
/
materials
Add a material (text or link) or run a library action
Authorizations
bearerAuthsessionCookie
API key or OAuth access token.
Body
application/json
Available options:
media_kit, rate_card, deck, past_rfp, note, url Required string length:
1 - 200Maximum string length:
200000Available options:
mark_reusable, confirm_claim, withdraw_claim, add_claim, open_request, close_request, evaluate Required string length:
3 - 500Maximum string length:
2000Maximum string length:
2000Minimum string length:
5